GDBserver

Public Member Functions | Public Attributes | List of all members
selftests::simple_selftest Struct Reference
Inheritance diagram for selftests::simple_selftest:

## Public Member Functions
| simple_selftest (self_test_function *function_)
void | operator() () const override
Public Member Functions inherited from selftests::selftest
virtual | ~selftest ()=default

## Public Attributes
self_test_function * | function

## Detailed Description

Definition at line 35 of file selftest.c.

## Constructor & Destructor Documentation

## ◆ simple_selftest()

selftests::simple_selftest::simple_selftest | ( | self_test_function * | function_ | ) |
| inline

Definition at line 37 of file selftest.c.

## Member Function Documentation

## ◆ operator()()

void selftests::simple_selftest::operator() | ( |  | ) | const
| inline override virtual

Implements selftests::selftest.

Definition at line 41 of file selftest.c.

## Member Data Documentation

## ◆ function

self_test_function* selftests::simple_selftest::function

Definition at line 46 of file selftest.c.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/common/selftest.c